<form #form='ngForm' class="mb-4" autocomplete="off" (submit)="onSubmit(form)">
  <div class="form-group">
    <label>Username</label>
    <input class="form-control" #UserName="ngModel" name="UserName" id="UserNameId" [(ngModel)]="formModel.UserName" required>
  </div>
  <div class="form-group">
    <label>Password</label>
    <input type="password" class="form-control" #Password="ngModel" name="Password" id="PasswordId" [(ngModel)]="formModel.Password" minlength="3" required>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8 offset-md-2">
      <button type="submit" class="btn btn-lg btn-block" id="SubmitId" [disabled]="form.invalid">Login</button>
    </div>
  </div>
</form>